# Encoding: UTF-8
$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "asset_management/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "asset_management"
  s.version     = AssetManagement::VERSION::STRING.dup
  s.authors     = ["Everard Brown"]
  s.email       = ["Everard.Brown@htcl.eu"]
  s.homepage    = "http://htcl.eu"
  s.summary     = "AssetManagement engine (v#{s.version})"
  s.description = "Enables managment of file or database backed assets"
  s.license     = 'MIT'

  s.files = Dir["{app,config,db,lib}/**/*"] + ["#{s.name}.gemspec", "Rakefile", "MIT-LICENSE", "README.rdoc"]
  #s.test_files = Dir["{test,spec,features}/**/*"]
  s.require_paths = ["lib"]

  s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "asset_management", "--main", "README.rdoc"]
  s.extra_rdoc_files = ["CHANGELOG", "README.rdoc", "lib/tasks/asset_management_tasks.rake", "lib/asset_management.rb"]

  s.add_dependency 'rails', '>= 5.0'

  # # RMagick
  # # :platforms => [:ruby, :mswin, :mingw, :jruby]
  # if defined?(JRUBY_VERSION)
  #   s.platform = 'java' # Gem::Platform.local
  #   s.add_dependency 'rmagick4j', '~> 0.3.7'
  # else
  #   if RbConfig::CONFIG['target_os'] == 'linux'
  #     issue = `head -1 /etc/issue`
  #     if issue.include?('CentOS release 5') ||
  #         issue.include?('Oracle Linux Server release 5')
  #       # The latest version which is known to be usable on CentOS 5/OL 5
  #       s.add_dependency 'rmagick', '~> 1.15.17'
  #     else
  #       s.add_dependency 'rmagick', '~> 2.16.0'
  #     end
  #   else
  #     # HOWTO:
  #     # 1) Install ImageMagick in a top-level directory
  #     # 2) Set environment variables
  #     #    set CPATH=C:\ImageMagick-6.7.3-Q16\include
  #     #    set LIBRARY_PATH=C:\ImageMagick-6.7.3-Q16\lib
  #     # 3) gem install rmagick -v 2.16.0
  #     #
  #     # -- OR --
  #     #
  #     # 1) Install ImageMagick in a top-level directory
  #     # 2) gem install rmagick -v 2.16.0 -- '--with-opt-dir="C:\ImageMagick-6.7.3-Q16"'
  #     #
  #     s.add_dependency 'rmagick', '~> 2.16.0'
  #   end
  # end

  s.add_dependency 'mini_magick'

  # In-house gems
  # (during development, the dependency in Gemfile will be used)
  require File.join(File.dirname(__FILE__), 'config', 'in_house_gems')
  in_house_engines = ASSET_MANAGEMENT_IN_HOUSE_ENGINES
  in_house_engines.each { |in_house_engine| s.add_dependency "#{in_house_engine.to_s}" }

  #s.add_development_dependency 'sqlite3'
end
